Skip to content
Wazapin
Esc
navigateopen⌘Jpreview

GET /v1/commerce/orders

GET/v1/commerce/orders
Authorization
bearerAuthbearerAuthrequired
or
apiKeyAuthapiKeyAuthrequired
Query parameters
limitinteger<int32>
min 1 · max 100 · default: 20
offsetinteger<int32>
min 0 · default: 0
Responses
200OK
itemsOrder[] | nullrequired
Show properties
Array of Order
checkout_uploadsstring[] | null
contact_idstring
created_atstring
customer_emailstring
customer_namestring
customer_phonestringrequired
delivery_datestring
delivery_fee_amountinteger<int64>required
delivery_methodstring
delivery_method_idstring
delivery_timeslotstring
discount_amountinteger<int64>required
draft_order_idstring
fulfillment_carrierstring
fulfillment_notesstring
idstringrequired
notesstring
order_nostringrequired
organization_idstring
payment_methodstring
referral_codestring
shipping_addressCheckoutShippingAddress
Show properties
addressstringrequired
area_idstring
area_namestring
citystringrequired
districtstringrequired
provincestringrequired
shipping_metadataOrderShippingMetadata
Show properties
bookingOrderBookingMetadata
Show properties
booking_modestring
booking_schedule_sourcestring
booking_schedule_updated_atstring
checked_in_atstring
checkin_token_hashstring
checkout_tokenstring
google_calendar_event_idstring
google_calendar_event_urlstring
google_calendar_last_synced_atstring
google_calendar_sync_errorstring
google_calendar_sync_statusstring
google_meet_urlstring
has_scheduled_bookingboolean
staff_idstring
staff_namestring
video_conference_overridestring
zoom_meeting_urlstring
live_shippingLiveShippingMetadata
Show properties
biteship_order_idstring
biteship_price_idrinteger<int64>
confirm_errorstring
confirm_statusstring
courier_codestring
courier_service_codestring
destination_area_idstring
draft_order_idstring
last_webhook_eventstring
last_webhook_statusstring
paymentOrderPaymentMetadata
Show properties
checkout_urlstring
order_nostring
organization_idstring
payment_methodstring
payment_session_idstring
providerstring
reference_idstring
store_namestring
store_slugstring
subscriptionOrderSubscriptionMetadata
Show properties
prepaid_deliveries_remaininginteger<int32>required
prepaid_deliveries_totalinteger<int32>required
source_referencestring
statusstringrequired
subtotal_amountinteger<int64>required
total_amountinteger<int64>required
tracking_numberstring
tracking_urlstring
defaultError
errorErrorBodyrequired
Show properties
codestringrequired
detailsErrorDetail[] | null
Show properties
Array of ErrorDetail
codestring
fieldstring
locationstring
messagestringrequired
messagestringrequired
request_idstring
Request
curl -X GET "/v1/commerce/orders"
Response
{
  "items": [
    {
      "checkout_uploads": [
        "string"
      ],
      "contact_id": "string",
      "created_at": "string",
      "customer_email": "string",
      "customer_name": "string",
      "customer_phone": "string",
      "delivery_date": "string",
      "delivery_fee_amount": 0,
      "delivery_method": "string",
      "delivery_method_id": "string",
      "delivery_timeslot": "string",
      "discount_amount": 0,
      "draft_order_id": "string",
      "fulfillment_carrier": "string",
      "fulfillment_notes": "string",
      "id": "string",
      "notes": "string",
      "order_no": "string",
      "organization_id": "string",
      "payment_method": "string",
      "referral_code": "string",
      "shipping_address": {
        "address": "string",
        "area_id": "string",
        "area_name": "string",
        "city": "string",
        "district": "string",
        "province": "string"
      },
      "shipping_metadata": {
        "booking": {
          "booking_mode": "string",
          "booking_schedule_source": "string",
          "booking_schedule_updated_at": "string",
          "checked_in_at": "string",
          "checkin_token_hash": "string",
          "checkout_token": "string",
          "google_calendar_event_id": "string",
          "google_calendar_event_url": "string",
          "google_calendar_last_synced_at": "string",
          "google_calendar_sync_error": "string",
          "google_calendar_sync_status": "string",
          "google_meet_url": "string",
          "has_scheduled_booking": true,
          "staff_id": "string",
          "staff_name": "string",
          "video_conference_override": "string",
          "zoom_meeting_url": "string"
        },
        "live_shipping": {
          "biteship_order_id": "string",
          "biteship_price_idr": 0,
          "confirm_error": "string",
          "confirm_status": "string",
          "courier_code": "string",
          "courier_service_code": "string",
          "destination_area_id": "string",
          "draft_order_id": "string",
          "last_webhook_event": "string",
          "last_webhook_status": "string"
        },
        "payment": {
          "checkout_url": "string",
          "order_no": "string",
          "organization_id": "string",
          "payment_method": "string",
          "payment_session_id": "string",
          "provider": "string",
          "reference_id": "string",
          "store_name": "string",
          "store_slug": "string"
        },
        "subscription": {
          "prepaid_deliveries_remaining": 0,
          "prepaid_deliveries_total": 0
        }
      },
      "source_reference": "string",
      "status": "string",
      "subtotal_amount": 0,
      "total_amount": 0,
      "tracking_number": "string",
      "tracking_url": "string"
    }
  ]
}